var bf = new BufferFactory();
/*
 * plotTypeDDL: id of the ddl that determines plot type
 * 'dim_browser': id of the panel that changes on plot type change events.
 */
var ptm = new PlotTypeManager('plotTypeDDL','dim_browser');
/*
 * axis_ddl: id of the drop down list that selects series_range
 * dim_browser: id of the outer panel whose contents change with the selection of axis_ddl
 */
var sm = new SeriesManager('p1_axis_ddl','p1Sub','p1s');

/*
 * deepHList: the id of a hidden list of the uids of all 'deep' hierarchies (multi-level)
 * centerPane: the id of the center pane (holds plot).  width/height of this determines plot size
 */
var ceb = new ClickEventBot('deepHList','centerPane');
var pb = new PreviewBot();
//var peb = new PlotEventBot();

var qspop = new QSPop('qspop', null);
var xprox = new XHRProx('preview.aspx');
var IDLE = 0, AWAITING_LINK = 1, AWAITING_RESULTS = 2;
var mode = IDLE
